prometheanfire    14/04/01 03:46:51

  Modified:             metadata.xml nova-2013.2.9999.ebuild ChangeLog
  Log:
  update to nova and deps 2013.2.9999
  
  (Portage version: 2.2.8-r1/cvs/Linux x86_64, signed Manifest commit with key 
0x2471eb3e40ac5ac3)

Revision  Changes    Path
1.6                  sys-cluster/nova/metadata.xml

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-cluster/nova/metadata.xml?rev=1.6&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-cluster/nova/metadata.xml?rev=1.6&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-cluster/nova/metadata.xml?r1=1.5&r2=1.6

Index: metadata.xml
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-cluster/nova/metadata.xml,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- metadata.xml        30 Mar 2014 05:42:20 -0000      1.5
+++ metadata.xml        1 Apr 2014 03:46:51 -0000       1.6
@@ -19,7 +19,6 @@
     <flag name="kvm">qemu-kvm hypervisor support</flag>
     <flag name="network">Installs the initscripts for the nova network 
service</flag>
     <flag name="novncproxy">Installs the initscripts for the nova novncproxy 
service</flag>
-       <flag name="rabbit">Installs the rabbitmq server as the amqp server for 
nova</flag>
     <flag name="scheduler">Installs the initscripts for the nova scheduler 
service</flag>
     <flag name="spicehtml5proxy">Installs the initscripts for the nova 
spicehtml5proxy service</flag>
     <flag name="xen">xen hypervisor support</flag>



1.12                 sys-cluster/nova/nova-2013.2.9999.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-cluster/nova/nova-2013.2.9999.ebuild?rev=1.12&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-cluster/nova/nova-2013.2.9999.ebuild?rev=1.12&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-cluster/nova/nova-2013.2.9999.ebuild?r1=1.11&r2=1.12

Index: nova-2013.2.9999.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-cluster/nova/nova-2013.2.9999.ebuild,v
retrieving revision 1.11
retrieving revision 1.12
diff -u -r1.11 -r1.12
--- nova-2013.2.9999.ebuild     30 Mar 2014 05:42:20 -0000      1.11
+++ nova-2013.2.9999.ebuild     1 Apr 2014 03:46:51 -0000       1.12
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-cluster/nova/nova-2013.2.9999.ebuild,v 
1.11 2014/03/30 05:42:20 prometheanfire Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-cluster/nova/nova-2013.2.9999.ebuild,v 
1.12 2014/04/01 03:46:51 prometheanfire Exp $
 
 EAPI=5
 PYTHON_COMPAT=( python2_7 )
@@ -15,9 +15,9 @@
 LICENSE="Apache-2.0"
 SLOT="0"
 KEYWORDS=""
-IUSE="+api +cert +compute +conductor +consoleauth ipv6 +kvm +network 
+novncproxy +rabbit +scheduler +spicehtml5proxy +xvpvncproxy sqlite mysql 
postgres xen"
+IUSE="+compute +kvm +network +novncproxy sqlite mysql postgres xen"
 REQUIRED_USE="|| ( mysql postgres sqlite )
-                         || ( kvm xen )"
+                         compute? ( || ( kvm xen ) )"
 
 DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
                >=dev-python/pbr-0.5.21[${PYTHON_USEDEP}]
@@ -65,10 +65,9 @@
                novncproxy? ( www-apps/novnc )
                sys-apps/iproute2
                net-misc/openvswitch
+               net-misc/rabbitmq-server
                sys-fs/sysfsutils
                sys-fs/multipath-tools
-               ipv6? ( net-misc/radvd )
-               rabbit? ( net-misc/rabbitmq-server )
                kvm? ( app-emulation/qemu )
                xen? ( app-emulation/xen
                           app-emulation/xen-tools )"
@@ -83,47 +82,36 @@
 
 python_install() {
        distutils-r1_python_install
-       newconfd "${FILESDIR}/nova-confd" "nova"
-       newinitd "${FILESDIR}/nova-initd" "nova"
-       use api && dosym /etc/init.d/nova /etc/init.d/nova-api
-       use cert && dosym /etc/init.d/nova /etc/init.d/nova-cert
-       use compute && dosym /etc/init.d/nova /etc/init.d/nova-compute
-       use conductor && dosym /etc/init.d/nova /etc/init.d/nova-conductor
-       use consoleauth && dosym /etc/init.d/nova /etc/init.d/nova-consoleauth
-       use network &&  dosym /etc/init.d/nova /etc/init.d/nova-network
-       use novncproxy &&dosym /etc/init.d/nova /etc/init.d/nova-novncproxy
-       use scheduler && dosym /etc/init.d/nova /etc/init.d/nova-scheduler
-       use spicehtml5proxy && dosym /etc/init.d/nova 
/etc/init.d/nova-spicehtml5proxy
-       use xvpvncproxy && dosym /etc/init.d/nova /etc/init.d/nova-xvpncproxy
-
-       diropts -m 0750
-       dodir /var/run/nova /var/log/nova /var/lock/nova
-       fowners nova:nova /var/log/nova /var/lock/nova /var/run/nova
-
-       diropts -m 0755
-       dodir /var/lib/nova/instances
-       fowners nova:nova /var/lib/nova/instances
 
-       keepdir /etc/nova
+       for svc in api cert compute conductor consoleauth network scheduler 
spicehtml5proxy xvpvncproxy; do
+               newinitd "${FILESDIR}/nova.initd" "nova-${svc}"
+       done
+       use compute && newinitd "${FILESDIR}/nova.initd" "nova-compute"
+       use novncproxy && newinitd "${FILESDIR}/nova.initd" "nova-novncproxy"
+
+       diropts -m 0750 -o nova -g nova
+       dodir /var/log/nova /var/lib/nova/instances
+
        insinto /etc/nova
+       insopts -m 0640 -o nova -g nova
        newins "etc/nova/nova.conf.sample" "nova.conf"
        doins "etc/nova/api-paste.ini"
        doins "etc/nova/logging_sample.conf"
        doins "etc/nova/policy.json"
        doins "etc/nova/rootwrap.conf"
+       #rootwrap filters
        insinto /etc/nova/rootwrap.d
        doins "etc/nova/rootwrap.d/api-metadata.filters"
        doins "etc/nova/rootwrap.d/compute.filters"
        doins "etc/nova/rootwrap.d/network.filters"
-
        #copy migration conf file (not coppied on install via setup.py script)
        insinto 
/usr/$(get_libdir)/python2.7/site-packages/nova/db/sqlalchemy/migrate_repo/
        doins "nova/db/sqlalchemy/migrate_repo/migrate.cfg"
-
        #copy the CA cert dir (not coppied on install via setup.py script)
        cp -R "${S}/nova/CA" 
"${D}/usr/$(get_libdir)/python2.7/site-packages/nova/" || die "isntalling CA 
files failed"
 
        #add sudoers definitions for user nova
        insinto /etc/sudoers.d/
+       insopts -m 0600 -o root -g root
        doins "${FILESDIR}/nova-sudoers"
 }



1.56                 sys-cluster/nova/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-cluster/nova/ChangeLog?rev=1.56&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-cluster/nova/ChangeLog?rev=1.56&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-cluster/nova/ChangeLog?r1=1.55&r2=1.56

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-cluster/nova/ChangeLog,v
retrieving revision 1.55
retrieving revision 1.56
diff -u -r1.55 -r1.56
--- ChangeLog   30 Mar 2014 05:42:20 -0000      1.55
+++ ChangeLog   1 Apr 2014 03:46:51 -0000       1.56
@@ -1,6 +1,10 @@
 # ChangeLog for sys-cluster/nova
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sys-cluster/nova/ChangeLog,v 1.55 
2014/03/30 05:42:20 prometheanfire Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-cluster/nova/ChangeLog,v 1.56 
2014/04/01 03:46:51 prometheanfire Exp $
+
+  01 Apr 2014; Matthew Thode <[email protected]> +files/nova.initd,
+  metadata.xml, nova-2013.2.9999.ebuild:
+  update to nova and deps 2013.2.9999
 
   30 Mar 2014; Matthew Thode <[email protected]> metadata.xml,
   nova-2013.2.9999.ebuild:




Reply via email to